                     Redland librdf RDF API Library - News

2011-12-03 Redland Version 1.0.15 Released

   Revert librdf_new_statement_from_statement() to original copy semantics
   Add functions for cross-library (DLL) memory management
   Added a few new small APIs.
   Fixed Issues: [1]0000461, [2]0000468, [3]0000475, [4]0000478,
   [5]0000483 and [6]0000485

   See the [7]1.0.15 Release Notes for the full details of the changes.

2011-07-23 Redland Version 1.0.14 Released

   Rasqal minimum version is now 0.9.25.
   Fixed a few URI and node reference leaks after changes for Raptor V2
   Added parser class methods to parse from I/O stream sources
   Added query class static method to get query language descriptions
   Removed unused and Raptor-duplicate internal code
   Code cleanup fixing unused variables and values via GCC 4.6, LLVM
   [8]clang and valgrind.
   Other minor fixes and improvements
   Fixed Issues: [9]#0000375, [10]#0000418, [11]#0000432 and [12]#0000447

   See the [13]1.0.14 Release Notes for the full details of the changes.

2011-02-01 Redland Version 1.0.13 Released

   Raptor V1 support was removed; Raptor minimum version is now 2.0.0
   Rasqal minimum version is now 0.9.22.
   Added description-style APIs for parser, serializer and query results
   formats
   Serializing to quad formats now works
   Replaced remaining few abort()s in code paths with error log and
   failure
   Several other minor API changes
   Fixed Issues: [14]#0000325, [15]#0000404 and [16]#0000419

   See the [17]1.0.13 Release Notes for the full details of the changes.

2010-10-13 Redland Version 1.0.12 Released

   Enable librdf.h to be used as the top-level header in addition to
   redland.h
   Fix linking issues when building with GNU ld with DT_NEEDED disabled
   Fixed Issues: [18]#0000329, [19]#0000348 [20]#0000391, [21]#0000392 and
   [22]#0000393.

   See the [23]1.0.12 Release Notes for the full details of the changes.

2010-09-25 Redland Version 1.0.11 Released

   Virtuoso storage backend querying now fully works.
   Several new convenience APIs were added and others deprecated.
   Support building with Raptor V2 API if configured with --with-raptor2.
   Exports more functions to SWIG language bindings.
   Switched to GIT version control [24]hosted by GitHub.
   Many other bug fixes and improvements were made.
   Fixed Issues: [25]#0000124, [26]#0000284, [27]#0000321, [28]#0000322,
   [29]#0000334, [30]#0000338, [31]#0000341, [32]#0000344, [33]#0000350,
   [34]#0000363, [35]#0000366, [36]#0000371, [37]#0000380, [38]#0000382
   and [39]#0000383

   See the [40]1.0.11 Release Notes for the full details of the changes.

2009-12-16 Redland Version 1.0.10 Released

   Added a [41]Virtuoso storage by Patrick van Kleef
   Support [42]Rasqal 0.9.17 API
   Fix compiling against sqlite 3.6.17 or newer
   Fix modular storage dynamic loading linking problems. Several other bug
   fixes including addressing issues: [43]Issue #0000302, [44]Issue
   #0000304, [45]Issue #0000311, [46]Issue #0000315 and [47]Issue
   #0000317.

   See the [48]1.0.10 Release Notes for the full details of the changes.

2009-04-12 Redland Version 1.0.9 Released

   Made the storages (triple stores) API public and the implementations
   modular - can be compiled externally and dynamically loaded on demand.
   Removed Raptor and Rasqal from sources - now external build
   dependencies.
   Many other bug fixes including addressing issues: [49]#0000272,
   [50]#0000282 [51]#0000283, [52]#0000285 and [53]#0000286.

   See the [54]1.0.9 Release Notes for the full details of the changes.

2008-07-05 Redland Version 1.0.8 Released

   Updated to use [55]Rasqal 0.9.16 (from 0.9.15)
   Updated to use [56]Raptor 1.4.18 (from 1.4.16)
   Added a 'trees' indexed in-memory storage
   Improvements to low-memory and other failures of resource allocation
   API additions and changes to concepts, parser and serializer classes.
   Fixed Issue [57]0000256

   NOTE: The next release of redland will NOT include raptor and rasqal in
   the tarball, they will be separate download dependencies.

   See the [58]1.0.8 Release Notes for the full details of the changes.

2007-12-24 Redland Version 1.0.7 Released

   Updated to use [59]Rasqal 0.9.15 (from 0.9.14)
   Updated to use [60]Raptor 1.4.16 (from 1.4.15)
   Added a optional modular storage
   Improvements to low-memory and other failures of resource allocation
   Added URI filtering to the parser class
   SQLite storage gains transactions and other fixes
   Many other bug fixes addressing Issues [61]0000187, [62]0000189,
   [63]0000203, [64]0000205, [65]0000209, [66]0000213, [67]0000215,
   [68]0000218, [69]0000229, [70]0000230, [71]0000234, [72]0000235 and
   [73]0000236

   See the [74]1.0.7 Release Notes for the full details of the changes.

2007-05-05 Redland Version 1.0.6 Released

   Updated to use [75]Rasqal 0.9.14 (from 0.9.13)
   Updated to use [76]Raptor 1.4.15 (from 1.4.13)
   Added a new transactions API for graph changes, implemented for MySQL
   Added a new query results formatter class
   Many other bug fixes addressing Issues [77]#0000175, [78]#0000173,
   [79]#0000159, [80]#0000153, [81]#0000150 and [82]#0000038

   See the [83]1.0.6 Release Notes for the full details of the changes.

2006-11-19 Redland Version 1.0.5 Released

   Updated to use [84]Rasqal 0.9.13 (from 0.9.12)
   Updated to use [85]Raptor 1.4.13 (from 1.4.9)
   Several API additions
   Parsing methods can take a NULL base URI when it is not needed
   Added serializer methods to serialize from a stream
   Many fixes and improvements to the SQLite storage
   Export some more functions to the SWIG binding
   Many minor improvements
   Many other bug fixes addressing Issues [86]#0000092, [87]#0000103,
   [88]#0000105, [89]#0000107, [90]#0000114, [91]#0000116, [92]#0000125,
   [93]#0000130, [94]#0000132, [95]#0000136 and [96]#0000139.

   See the [97]1.0.5 Release Notes for the full details of the changes.

2006-05-05 Redland Version 1.0.4 Released

   Updated to use [98]Rasqal 0.9.12 to update to SPARQL 2006-04-06 and
   JSON results
   Updated to use [99]Raptor 1.4.9 with many improvements
   Fixes for several crashes in parsing and serializing.

   See the [100]1.0.4 Release Notes for the full details of the changes.

2006-02-15 Redland Version 1.0.3 Released

   Updated to use [101]Rasqal 0.9.11 to update to SPARQL 2005-11-23
   Updated to use [102]Raptor 1.4.8 with many improvements
   Added a new PostgreSQL storage contributed by Shi Wenzhong
   Created an enhanced API reference manual with gtk-doc
   Some other minor fixes and changes

   NOTE: Redland will be switching to use [103]Subversion for version
   control after the 1.0.3 release. See the [104]Redland Subversion site
   or the online [105]Redland installation notes for the latest
   information.

   See the [106]1.0.3 Release Notes for the full details of the changes.

2005-06-10 Redland Version 1.0.2 Released

   Fixed a crash when querying or searching with the API and getting no
   results
   Updated to use [107]Rasqal 0.9.10 to provide query results sorting such
   as SPARQL ORDER BY and some SPARQL syntax updates. ([108]release notes)
   Updated to use [109]Raptor 1.4.7 to to fix some crashes in the RSS tag
   soup parser and serializer. ([110]release notes)

   See the [111]1.0.2 Release Notes for the full details of the changes.

2005-05-29 Redland Version 1.0.1 Released

   Updated to use [112]Rasqal 0.9.9 to provide improved SPARQL query
   support for the revised syntax ([113]release notes)
   Updated to use [114]Raptor 1.4.6 to provide a new GRDDL parser as well
   as updated RSS enclosures support ([115]relase notes)
   MySQL store has changed key algorithm: NOTE: may require a store save
   and reload
   SQLite store now returns correct query results
   Digest and Hash classes are now public and available to bindings
   Empty iterators and streams now always return an object
   Win32 portability fixes and build configuration (John Barstow)
   Several other API additions were made.

   See the [116]1.0.1 Release Notes for the full details of the changes.

2005-02-06 Redland Version 1.0.0 Released

   This is a mature library so it is time for 1.0.0
   Updated to use [117]Rasqal 0.9.6 for better query and SPARQL support
   Updated to use [118]Raptor 1.4.5 for new RDF/XML abbreviated
   serializer, improved RSS tag soup parser and RSS 1.0 serializer
   New experimental [119]SQLite storage

   See the [120]1.0.0 Release Notes for the full details of the changes.

2004-11-01 Redland Version 0.9.19 Released

   License changed from LGPL 2.1/MPL 1.1 to LGPL 2.1/Apache 2
   Updated to use [121]Rasqal 0.9.4 to provide SPARQL support
   Updated to use [122]Raptor 1.4.2 to provide serializing of models to
   strings in RDF/XML or N-Triples
   Some small API additions and bug fixes.

   See the [123]0.9.19 Release Notes for the full details of the changes.

2004-08-03 Redland Version 0.9.18 Released

   (Revert statement usage counting from 0.9.17)

   This is Redland 1.0 release candidate 1
   New [124]Query and [125]Query Results classes to support RDF querying
   with [126]RDQL using [127]Rasqal
   Moved the language APIS into the new [128]Redland Bindings package
   Added a new message logging API giving structured messages
   Updated MySQL storage ([129]Morten Frederiksen)
   Check that duplicate statements are not added to models
   Portability fixes for building natively on Win32 (Jose Kahan)
   Updated to [130]Rasqal 0.9.2 and [131]Raptor 1.3.2
   Several other minor bugs and fixes.

   See the [132]0.9.17 Release Notes for the full details of the changes.

2004-02-24 Redland Version 0.9.16 Released

   A small but important bug fix to make the installed C headers work
   correctly again.

   See the [133]0.9.16 Release Notes for the full details of the changes.

2004-01-31 Redland Version 0.9.15 Released

   API CHANGE Several classes were modified to use unsigned char* for
   UTF-8 encoded URIs and Literals
   Update to synchronise with [134]Raptor version 1.2.0 (RDF/XML and
   N-Triples parser) - see [135]Raptor NEWS gaining the [136]Turtle Terse
   RDF Triple Language
   Added storage with MySQL written by [137]Morten Frederiksen
   Added storage with [138]AKT Triplestore
   Added file and URI-backed in-memory storage
   Added fixes to make Redland compile cleanly under C++ (tested with g++)
   Added assertion checks and reporting for function arguments
   Added method for finding statements in a context
   Added a method for listing the contexts in a graph
   Storage, model and serializer get/set feature methods now take and
   return nodes
   Improved rdfproc utility to handle multiple storage types, storage
   options, contexts and environment variables for configuration.
   Fix crash on reporting parser errors with % in the message
   Improved RDF/XML serializer to chose better output names
   Many other minor changes and fixes.

   See the [139]0.9.15 Release Notes for the full list of the changes.

2003-09-08 Redland Version 0.9.14 Released

   Update to synchronise with [140]Raptor version 1.0.0 (RDF/XML and
   N-Triples parser) - see [141]Raptor NEWS for the changes since 0.9.12.
   Added a new utility program rdfproc - a general RDF processor for
   Redland that allows command line use of the library.
   Made the Node class intern every node.
   Fixed the broken use of Perl UNIVERSAL::isa
   Other minor API changes

   See the [142]0.9.14 Release Notes for the full list of the changes.

2003-08-28 Redland Version 0.9.13 Released

   API CHANGE [143]Node The class was modifed to make objects immutable,
   removing the set methods and to add new node type convienence methods.
   API addition [144]Model Added a method to sync the model to the backing
   store.
   API addition [145]Parser Added methods to allow parsing from strings.
   API addition [146]Statement Added method to check for partial
   statements.
   API addition [147]Storage Added a method to sync the backing store.
   Better error recovery - most errors return if possible.
   Added initial simple threading support (patches by Seth Ladd)
   Greatly improved Python API using 2.2 features (Edd Dumbill and Matt
   Biddulph)
   Updated Perl, Python and Java APIs to always return new nodes and
   statements, removing the need to consider shared object issues.
   Updated serializing to RDF/XML to handle datatype literals
   Update to [148]Raptor version 0.9.12 (RDF/XML and N-Triples parser) -
   see [149]Raptor NEWS for changes since 0.9.8.
   Extensive portability and other bug fixes.

   See the [150]0.9.13 Release Notes for the full list of the changes.

2003-02-13 Redland Version 0.9.12 Released

   FORMAT CHANGE The persistent storage format was changed to support RDF
   typed literals and this will require an upgrade of any existing
   Berkeley/Sleepycat DB stores created by Redland 0.9.11 or earlier. A
   utility redland-db-upgrade is provided that creates an updated store
   from an existing one.
   API CHANGE [151]Iterator and [152]Stream classes. The next/get_next
   method is split into get_object always returning a shared object and
   next methods. get_context method added. (get_object is called current
   in higher level language APIs)
   API CHANGE [153]Model class. Method add_statement no longer takes
   ownership of the passed in statement. The caller now retains ownership.
   API CHANGE [154]Model class. Method add_statements no longer frees the
   passed in librdf_stream; the caller must free it now.
   API CHANGE [155]Node and [156]Model classes. Added RDF Datatyped
   Literals. Other literal is_wf_xml constructors and methods deprecated.
   API CHANGE All literals methods and constructors have no mention of the
   never-used or supported XML Space argument which is not part of an RDF
   literal.
   Added a script [157]utils/update-api-0912.pl to help automate the API
   changes as far as possible or warn about those that cannot be
   automatically updated.
   Added contexts - Statements added to [158]Model (when using a Storage
   that supports contexts) can take an optional [159]Node, returned by the
   new get_context method on [160]Iterator and [161]Stream classes.
   Many portability and compiling fixes (OSX, gcc 3.x, FreeBSD, non-gcc
   compiler)
   [162]Java API classes. Add finished() method replacing useless
   finalize().
   Use Raptor message callbacks to get parser warnings and errors
   Build Java API working around the stupid things recent SWIG versions
   do.
   Make Redland work with BDB/Sleepycat DB v4 (as well as v2 and v3)
   [163]Python API gains [164]pydoc comments and HTML derived version
   [165]Perl and [166]Python APIs now receive Redland message callbacks
   Redland URI class now registers with Raptor rather than specially
   compile Raptor
   Added RDF/XML [167]Serializer class and made higher level language APIs
   to it
   Update to [168]Raptor version 0.9.8 (RDF/XML and N-Triples parser) -
   see [169]Raptor NEWS for detailed changes since 0.9.5
   Added skeleton [170]Ruby and [171]PHP APIs
   Major source reorganisation.

   See also the [172]0.9.12 Release Notes

2002-06-08 Redland Version 0.9.11 Released

   Update to [173]Raptor version 0.9.5 (RDF/XML and N-Triples parser)
   Added [174]serialization to a syntax API; with [175]N-Triples as the
   first syntax
   Added start of [176]query language API
   Updated [177]Python interface to be more Pythonic, now requires python
   2.1+
   Added [178]Ruby API
   Redland will now work as a perl [179]CPAN module
   Updated [180]Perl interface - modules have been renamed. Fix programs
   with [181]update-perl-api.pl
   Updated [182]Java API
   Now uses libtool to build dynamic and static libraries
   Multiple startup/shutdowns of entire library now works.

2001-08-28 Redland Version 0.9.10 Released

   More work on debian packaging
   Added [183]Raptor [184]N-Triples parser
   Changes needed for _:name identifiers from N-Triples
   Added [185]Java API

2001-06-07 Redland Version 0.9.9 Released

   Added librdf_world class to manage Redland environment startup/shutdown
   - pervasive change throughout all other classes
   configure improvements to try to get expat variants detected and
   working more automatically
   Added Debian (.deb) package support
   SiRPAC parser wrapper now handles multi-line literals
   Changed stream and iterator interfaces and classes to be compatible, in
   preparation for unifying in one new filter class. NOTE: This requires
   changes to user-code - librdf_iterator_have_elements is now
   !librdf_iterator_is_end and librdf_iterator_set_map is now
   librdf_iterator_add_map
   Added perl and python interface warnings for above changes
   Preparation work for querying for arcs to/from a resource node,
   filtering
   Additional examples and explanations added to perl interface
   documentation
   Updated to [186]Raptor RDF/XML parser 0.9.1 - many bug fixes

2001-02-05 Redland Version 0.9.8 Released

   Added [187]Tcl interface
   Added [188]Raptor RDF parser, written by me (alpha quality) and made
   some changes to support it.
   More fixes to [189]Perl interface to fix crashes
   Added [190]Perl [191]RDF::RSS method as_xhtml for simple RSS 1.0 to
   (X)HTML formatting.

2001-01-05 Redland Version 0.9.7 Released

   Changed [192]Perl Model API - renamed get_* method names, added
   deprecated warnings for old names.
   Updated [193]Repat to 2000-12-24 version (plus some patches).
   Added [194]Perl Plain Old Documentation (POD).
   Fixed subtle [195]Perl interface object reference bugs.
   Changed [196]Model API - add_statement now does not own the added
   statement
   Added to [197]Model API - get_source, get_arc, get_target return one
   matching [198]librdf_node, not a list of them like get_sources etc. do
   via [199]librdf_iterator.
   Added [200]UTF-8 support for converting between UTF-8 and ISO Latin-1.

2000-11-06 Redland Version 0.9.6 Released

   Added python interface (2.0 and 1.5)
   More perl interface fixes
   Parser APIs updated to handle syntax specified by MIME type and/or URI
   and now have features allowing the setting/querying of parser options.

2000-10-20 Redland Version 0.9.5 Released

   Added [201]Repat RDF parser by Jason Diamond - jason at njektilo dot
   org
   More perl API fixes and improvements
   Internal changes preparing for proper reification support and use of
   rdf:, rdfs: concepts

2000-09-29 Redland Version 0.9.4 Released

   Implemented perl interface
   Created RPM construction support
   Started work on internal RDF parser

2000-08-30 Redland Version 0.9.3 Released

   Implemented fast get sources, targets, arcs for storage models using
   multiple hashes (Berkeley DB)
   Made Berkeley DB support work for V3, two variants of V2
   Implemented removing statements for stored models
   Changed internal hash API arguments, which was nice.
   Added general RDF utility example code [202]example4.c that parses
   RDF/XML syntax, stores it and provides multiple query methods.
   Added simple 10-line RDF example code [203]example3.c
   SiRPAC Java parser call changed to not discard error output
   Use streaming part of SiRPAC Java parser
   Didn't do anything on [204]list :( but fixed several parts of code
   marked FIXME :-).

2000-08-21 Redland Version 0.9.2 Released

   [205]API HTML documentation added to release.
   configure now splits and generates sub-version numbers.

2000-08-18 Redland Version 0.9.1 Released

   configure warns user if no persistant storage (BDB) found
   configure warns user if no RDF parser configured
   Made BDB V1 fail if found by configure - does not work with Redland.
   Some improvements to installation document.

2000-08-17 Redland named

   Redland renamed from librdf, license changed to LGPL/MPL from LGPL/BSD.

2000-06-21 Redland first CVS commit

   Redland 'born' with first CVS commit: It compiles and builds as a GNU
   automake/conf suite with 'make distcheck' and 'make check'
     __________________________________________________________________

   Copyright (C) 2000-2010 [206]Dave Beckett
   Copyright (C) 2000-2005 [207]University of Bristol

References

   1. http://bugs.librdf.org/mantis/view.php?id=461
   2. http://bugs.librdf.org/mantis/view.php?id=468
   3. http://bugs.librdf.org/mantis/view.php?id=475
   4. http://bugs.librdf.org/mantis/view.php?id=478
   5. http://bugs.librdf.org/mantis/view.php?id=483
   6. http://bugs.librdf.org/mantis/view.php?id=485
   7. RELEASE.html#rel1_0_15
   8. http://clang-analyzer.llvm.org/
   9. http://bugs.librdf.org/mantis/view.php?id=
  10. http://bugs.librdf.org/mantis/view.php?id=
  11. http://bugs.librdf.org/mantis/view.php?id=
  12. http://bugs.librdf.org/mantis/view.php?id=
  13. RELEASE.html#rel1_0_14
  14. http://bugs.librdf.org/mantis/view.php?id=325
  15. http://bugs.librdf.org/mantis/view.php?id=404
  16. http://bugs.librdf.org/mantis/view.php?id=419
  17. RELEASE.html#rel1_0_13
  18. http://bugs.librdf.org/mantis/view.php?id=329
  19. http://bugs.librdf.org/mantis/view.php?id=348
  20. http://bugs.librdf.org/mantis/view.php?id=391
  21. http://bugs.librdf.org/mantis/view.php?id=392
  22. http://bugs.librdf.org/mantis/view.php?id=393
  23. RELEASE.html#rel1_0_12
  24. http://github.com/dajobe/librdf
  25. http://bugs.librdf.org/mantis/view.php?id=124
  26. http://bugs.librdf.org/mantis/view.php?id=284
  27. http://bugs.librdf.org/mantis/view.php?id=321
  28. http://bugs.librdf.org/mantis/view.php?id=322
  29. http://bugs.librdf.org/mantis/view.php?id=334
  30. http://bugs.librdf.org/mantis/view.php?id=338
  31. http://bugs.librdf.org/mantis/view.php?id=341
  32. http://bugs.librdf.org/mantis/view.php?id=344
  33. http://bugs.librdf.org/mantis/view.php?id=350
  34. http://bugs.librdf.org/mantis/view.php?id=363
  35. http://bugs.librdf.org/mantis/view.php?id=366
  36. http://bugs.librdf.org/mantis/view.php?id=371
  37. http://bugs.librdf.org/mantis/view.php?id=380
  38. http://bugs.librdf.org/mantis/view.php?id=382
  39. http://bugs.librdf.org/mantis/view.php?id=383
  40. RELEASE.html#rel1_0_11
  41. http://sourceforge.net/projects/virtuoso/
  42. http://librdf.org/rasqal/
  43. http://bugs.librdf.org/mantis/view.php?id=302
  44. http://bugs.librdf.org/mantis/view.php?id=304
  45. http://bugs.librdf.org/mantis/view.php?id=311
  46. http://bugs.librdf.org/mantis/view.php?id=315
  47. http://bugs.librdf.org/mantis/view.php?id=315
  48. RELEASE.html#rel1_0_10
  49. http://bugs.librdf.org/mantis/view.php?id=272
  50. http://bugs.librdf.org/mantis/view.php?id=282
  51. http://bugs.librdf.org/mantis/view.php?id=283
  52. http://bugs.librdf.org/mantis/view.php?id=285
  53. http://bugs.librdf.org/mantis/view.php?id=286
  54. RELEASE.html#rel1_0_9
  55. http://librdf.org/rasqal/
  56. http://librdf.org/raptor/
  57. http://bugs.librdf.org/mantis/view.php?id=0000256
  58. RELEASE.html#rel1_0_8
  59. http://librdf.org/rasqal/
  60. http://librdf.org/raptor/
  61. http://bugs.librdf.org/mantis/view.php?id=0000187
  62. http://bugs.librdf.org/mantis/view.php?id=0000189
  63. http://bugs.librdf.org/mantis/view.php?id=0000203
  64. http://bugs.librdf.org/mantis/view.php?id=0000205
  65. http://bugs.librdf.org/mantis/view.php?id=0000209
  66. http://bugs.librdf.org/mantis/view.php?id=0000213
  67. http://bugs.librdf.org/mantis/view.php?id=0000215
  68. http://bugs.librdf.org/mantis/view.php?id=0000218
  69. http://bugs.librdf.org/mantis/view.php?id=0000229
  70. http://bugs.librdf.org/mantis/view.php?id=0000230
  71. http://bugs.librdf.org/mantis/view.php?id=0000234
  72. http://bugs.librdf.org/mantis/view.php?id=0000235
  73. http://bugs.librdf.org/mantis/view.php?id=0000236
  74. RELEASE.html#rel1_0_7
  75. http://librdf.org/rasqal/
  76. http://librdf.org/raptor/
  77. http://bugs.librdf.org/mantis/view.php?id=159
  78. http://bugs.librdf.org/mantis/view.php?id=159
  79. http://bugs.librdf.org/mantis/view.php?id=159
  80. http://bugs.librdf.org/mantis/view.php?id=153
  81. http://bugs.librdf.org/mantis/view.php?id=150
  82. http://bugs.librdf.org/mantis/view.php?id=38
  83. RELEASE.html#rel1_0_6
  84. http://librdf.org/rasqal/
  85. http://librdf.org/raptor/
  86. http://bugs.librdf.org/mantis/view.php?id=92
  87. http://bugs.librdf.org/mantis/view.php?id=103
  88. http://bugs.librdf.org/mantis/view.php?id=105
  89. http://bugs.librdf.org/mantis/view.php?id=107
  90. http://bugs.librdf.org/mantis/view.php?id=114
  91. http://bugs.librdf.org/mantis/view.php?id=116
  92. http://bugs.librdf.org/mantis/view.php?id=125
  93. http://bugs.librdf.org/mantis/view.php?id=130
  94. http://bugs.librdf.org/mantis/view.php?id=132
  95. http://bugs.librdf.org/mantis/view.php?id=136
  96. http://bugs.librdf.org/mantis/view.php?id=139
  97. RELEASE.html#rel1_0_5
  98. http://librdf.org/rasqal/
  99. http://librdf.org/raptor/
 100. RELEASE.html#rel1_0_4
 101. http://librdf.org/rasqal/
 102. http://librdf.org/raptor/
 103. http://subversion.tigris.org/
 104. http://svn.librdf.org/
 105. http://librdf.org/INSTALL.html
 106. RELEASE.html#rel1_0_3
 107. http://librdf.org/rasqal/
 108. http://librdf.org/rasqal/RELEASE.html#rel0_9_10
 109. http://librdf.org/raptor/
 110. http://librdf.org/raptor/RELEASE.html#rel1_4_7
 111. RELEASE.html#rel1_0_2
 112. http://librdf.org/rasqal/
 113. http://librdf.org/rasqal/RELEASE.html#rel0_9_9
 114. http://librdf.org/raptor/
 115. http://librdf.org/raptor/RELEASE.html#rel1_4_6
 116. RELEASE.html#rel1_0_1
 117. http://librdf.org/rasqal/
 118. http://librdf.org/raptor/
 119. http://www.sqlite.org/
 120. RELEASE.html#rel1_0_0
 121. http://librdf.org/rasqal/
 122. http://librdf.org/raptor/
 123. RELEASE.html#rel0_9_19
 124. docs/api/query.html
 125. docs/api/query_results.html
 126. http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/
 127. http://librdf.org/rasqal/
 128. http://librdf.org/bindings/
 129. http://purl.org/net/morten/
 130. http://librdf.org/rasqal/
 131. http://librdf.org/raptor/
 132. RELEASE.html#rel0_9_17
 133. RELEASE.html#rel0_9_16
 134. http://librdf.org/raptor/
 135. http://librdf.org/raptor/NEWS.html
 136. http://www.dajobe.org/2004/01/turtle/
 137. http://purl.org/net/morten/
 138. http://triplestore.aktors.org/
 139. RELEASE.html#rel0_9_15
 140. http://librdf.org/raptor/
 141. http://librdf.org/raptor/NEWS.html
 142. RELEASE.html#rel0_9_14
 143. docs/api/node.html
 144. docs/api/model.html
 145. docs/api/parser.html
 146. docs/api/statement.html
 147. docs/api/storage.html
 148. http://librdf.org/raptor/
 149. http://librdf.org/raptor/NEWS.html
 150. RELEASE.html#rel0_9_13
 151. docs/api/iterator.html
 152. docs/api/stream.html
 153. docs/api/model.html
 154. docs/api/model.html
 155. docs/api/node.html
 156. docs/api/model.html
 157. utils/update-api-0912.pl
 158. docs/api/model.html
 159. docs/api/node.html
 160. docs/api/iterator.html
 161. docs/api/stream.html
 162. docs/java.html
 163. docs/python.html
 164. docs/pydoc/RDF.html
 165. docs/perl.html
 166. docs/python.html
 167. docs/api/serializer.html
 168. http://librdf.org/raptor/
 169. http://librdf.org/raptor/NEWS.html
 170. docs/ruby.html
 171. docs/php.html
 172. RELEASE.html#rel0_9_12
 173. http://librdf.org/raptor/
 174. docs/api/serializer.html
 175. http://www.w3.org/TR/rdf-testcases/#ntriples
 176. docs/api/query.html
 177. docs/python.html
 178. docs/ruby.html
 179. http://www.cpan.org/
 180. docs/perl.html
 181. perl/update-perl-api.pl
 182. docs/java.html
 183. http://librdf.org/raptor/
 184. http://www.w3.org/TR/rdf-testcases/#ntriples
 185. docs/java.html
 186. http://librdf.org/raptor/
 187. docs/tcl.html
 188. http://librdf.org/raptor/
 189. docs/perl.html
 190. docs/perl.html
 191. docs/pod/RDF/RSS.html
 192. docs/pod/RDF/Model.html
 193. http://injektilo.org/rdf/repat.html
 194. docs/pod/RDF.html
 195. docs/perl.html
 196. docs/api/model.html
 197. docs/api/model.html
 198. docs/api/node.html
 199. docs/api/iterator.html
 200. docs/api/utf8.html
 201. http://injektilo.org/rdf/repat.html
 202. example4.c
 203. example3.c
 204. TODO.html
 205. docs/api/index.html
 206. http://www.dajobe.org/
 207. http://www.bristol.ac.uk/
